stages:
  - test

variables:
  CYPRESS_IMAGE: cypress/browsers:node18.12.0-chrome106-ff106
  BROWSER: chrome
  TEST_CASE: $CI_PROJECT_DIR/cypress/e2e/api/user.cy.ts

cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules/

run_tests:
  stage: test
  image: $CYPRESS_IMAGE
  retry: 2
  before_script:
    # install dependencies
    - npm ci
    # start the server in the background
    # - npm start &
  script:
    - echo "Running Cypress tests..."
    # run Cypress tests
    - npx cypress run --browser $BROWSER --spec $TEST_CASE